Skip to main content
POST
/
api
/
balance
/
check
curl -X POST 'https://crypto-api.yativo.com/api/balance/check' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4EA"
  }'
{
  "status": "success",
  "message": "Balance retrieved successfully",
  "data": {
    "asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4EA",
    "chain": "solana",
    "ticker": "USDC_SOL",
    "wallet_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
    "balance": "1250.000000",
    "balance_usd": "1250.00",
    "last_updated": "2026-03-26T12:00:00Z"
  }
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
asset_id
string
required
The ID of the asset wallet to check the balance for.
curl -X POST 'https://crypto-api.yativo.com/api/balance/check' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4EA"
  }'
{
  "status": "success",
  "message": "Balance retrieved successfully",
  "data": {
    "asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4EA",
    "chain": "solana",
    "ticker": "USDC_SOL",
    "wallet_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
    "balance": "1250.000000",
    "balance_usd": "1250.00",
    "last_updated": "2026-03-26T12:00:00Z"
  }
}